package com.cpxt.biz.service;

import java.util.List;
import com.cpxt.biz.domain.BizOrderSub;

/**
 * 订单子单Service接口
 * 
 * @author YIN
 * @date 2024-12-16
 */
public interface IBizOrderSubService 
{
    /**
     * 查询订单子单
     * 
     * @param id 订单子单主键
     * @return 订单子单
     */
    public BizOrderSub selectBizOrderSubById(Long id);

    /**
     * 查询订单子单列表
     * 
     * @param bizOrderSub 订单子单
     * @return 订单子单集合
     */
    public List<BizOrderSub> selectBizOrderSubList(BizOrderSub bizOrderSub);

    /**
     * 新增订单子单
     * 
     * @param bizOrderSub 订单子单
     * @return 结果
     */
    public int insertBizOrderSub(BizOrderSub bizOrderSub);

    /**
     * 修改订单子单
     * 
     * @param bizOrderSub 订单子单
     * @return 结果
     */
    public int updateBizOrderSub(BizOrderSub bizOrderSub);

    /**
     * 批量删除订单子单
     * 
     * @param ids 需要删除的订单子单主键集合
     * @return 结果
     */
    public int deleteBizOrderSubByIds(Long[] ids);

    /**
     * 删除订单子单信息
     * 
     * @param id 订单子单主键
     * @return 结果
     */
    public int deleteBizOrderSubById(Long id);
}
